
Redmine - Defect #13

Files in repository have Windows-style line endings

2007-03-12 12:20 - Jonathan Dance

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

All files in the repository have Windows-style line endings (\r\n) - they should have svn:eol-style set to "native"

so that this is not an issue for those users who try to view the source on other operating systems.

The easy way to apply this change is as such:

/redmine $ find . | grep rb$ | xargs svn propset svn:eol-style native

/redmine $ find . | grep rhtml$ | xargs svn propset svn:eol-style native

History

#1 - 2007-03-13 18:55 - Chris Grant

This should really be set on most (if not all) of the files,

not just .rb and .rhtml files.

#2 - 2007-03-13 21:27 - Jonathan Dance

Yes, as long as it's not a binary file. :)

The main reason I mentioned rb and rhtml files is for submitting

patches, which

are most likely to these files.

#3 - 2007-03-13 22:42 - Chris Grant

True ... submitted a patch the other day and it was a bit longer

than needed because of the line endings.

I've got the following sitting in my ~/.subversion/config file

... it covers a lot of bases:

[miscellany]

enable-auto-props = yes

[auto-props]

Changelog = svn:eol-style=native

ChangeLog = svn:eol-style=native

CHANGELOG = svn:eol-style=native

Copying = svn:eol-style=native

COPYING = svn:eol-style=native

Install = svn:eol-style=native

INSTALL = svn:eol-style=native

KEYS = svn:eol-style=native

Makefile = svn:eol-style=native

Rakefile = svn:eol-style=native

Readme = svn:eol-style=native

ReadMe = svn:eol-style=native

README = svn:eol-style=native

UPGRADING = svn:eol-style=native

Licence = svn:eol-style=native

LICENCE = svn:eol-style=native

License = svn:eol-style=native

LICENSE = svn:eol-style=native

-LICENSE = svn:eol-style=native

abs-linkmap = svn:eol-style=native

abs-menulinks = svn:eol-style=native

.aart = svn:eol-style=native
.ac = svn:eol-style=native

.am = svn:eol-style=native

.bat = svn:eol-style=native

.builder = svn:eol-style=native

.c = svn:eol-style=native

.cat = svn:eol-style=native

.cgi = svn:eol-style=native

.classpath = svn:eol-style=native

.cmd = svn:eol-style=native

.config = svn:eol-style=native

.cpp = svn:eol-style=native

.css = svn:eol-style=native

.cwiki = svn:eol-style=native

.data = svn:eol-style=native

.dcl = svn:eol-style=native

.doc = svn:mime-type=application/msword

.dsp = svn:eol-style=CRLF

.dsw = svn:eol-style=CRLF

.dtd = svn:eol-style=native

.egrm = svn:eol-style=native

.ent = svn:eol-style=native

.erb = svn:eol-style=native

.ft = svn:eol-style=native

.fn = svn:eol-style=native

.fv = svn:eol-style=native

.grm = svn:eol-style=native

.g = svn:eol-style=native

.h = svn:eol-style=native

.htaccess = svn:eol-style=native

.htm = svn:eol-style=native

.html = svn:eol-style=native

.ico = svn:mime-type=image/x-icon

.ihtml = svn:eol-style=native

.in = svn:eol-style=native

.java = svn:eol-style=native

.jmx = svn:eol-style=native

.jpg = svn:mime-type=image/jpeg

.jsp = svn:eol-style=native

.js = svn:eol-style=native

.junit = svn:eol-style=native

.jx = svn:eol-style=native

.ldif = svn:eol-style=native

.log = svn:eol-style=native

.manifest = svn:eol-style=native

.m4 = svn:eol-style=native

.mf = svn:eol-style=native

.MF = svn:eol-style=native

.meta = svn:eol-style=native

.mod = svn:eol-style=native

.n3 = svn:eol-style=native

.pdf = svn:mime-type=application/pdf

.pen = svn:eol-style=native

.pl = svn:eol-style=native

.pm = svn:eol-style=native

.png = svn:mime-type=image/png

.pod = svn:eol-style=native

.pom = svn:eol-style=native

.project = svn:eol-style=native

.properties = svn:eol-style=native

.py = svn:eol-style=native

.rake = svn:eol-style=native

.rb = svn:eol-style=native

.rdf = svn:eol-style=native

.rhtml = svn:eol-style=native

.rnc = svn:eol-style=native

.rng = svn:eol-style=native

.rnx = svn:eol-style=native

.roles = svn:eol-style=native

.rss = svn:eol-style=native

.sh = svn:eol-style=native

.sql = svn:eol-style=native

.svg = svn:eol-style=native

.tld = svn:eol-style=native

.txt = svn:eol-style=native

.types = svn:eol-style=native
.vm = svn:eol-style=native

.vsl = svn:eol-style=native

.wsdd = svn:eol-style=native

.wsdl = svn:eol-style=native

.xargs = svn:eol-style=native

.xcat = svn:eol-style=native

.xconf = svn:eol-style=native

.xegrm = svn:eol-style=native

.xgrm = svn:eol-style=native

.xhtml = svn:eol-style=native

.xhtml2 = svn:eol-style=native

.xlex = svn:eol-style=native

.xlog = svn:eol-style=native

.xmap = svn:eol-style=native

.xml = svn:eol-style=native

.xroles = svn:eol-style=native

.xsamples = svn:eol-style=native

.xsd = svn:eol-style=native

.xsl = svn:eol-style=native

.xslt = svn:eol-style=native

.xsp = svn:eol-style=native

.xul = svn:eol-style=native

.xweb = svn:eol-style=native

.xwelcome = svn:eol-style=native

.yaml = svn:eol-style=native

.yml = svn:eol-style=native

#4 - 2007-04-18 17:16 - Pavol Murin

I second this - please, it makes the default svn diff unusable,

I always have to use external diff when creating patches.

muro

#5 - 2008-02-05 19:54 - Thomas Lecavelier

Hum... This issue seems to be closed, since I hadn't seen a ^M char in my vim since a long time ago. Somebody still have EOL problems with

redmine sources?

#6 - 2008-02-05 20:57 - Jean-Philippe Lang

- Status changed from New to Closed

You're right.

There may be some migrations with such eol, but that's not the kind of files that should be patched so often.
